<?php
  /*
   *  This example works with 3 channels (not more or less).
   *
   *  The http request should be made like this:
   *     http://somehost.com/active.php?c=<chan>
   *  where <chan> obviously is one of the three channelnames,
   *  but withouth the # sign.
   */

/* settings */
  // path where the module will store the files.
  $dbpath = "/usr/services/irc/unrealircd3.2b18/data/activeusers";

  // show the signon and idle time?
  $showtimes = "0";

  // 3 channels that can be viewed.
  $monitorchan_1 = "chatzone";
  $monitorchan_2 = "root";
  $monitorchan_3 = "xanter";
/* end settings */

// insert custom header here

  if (isset($_GET["c"])) {
    $chan = $_GET["c"];

    $chan = preg_replace( '/javascript/i', 'java script', $chan );
    $chan = str_replace( '"', '&quot;', $chan );
    $chan = str_replace( '<', '&lt;', $chan );
    $chan = str_replace( '>', '&gt;', $chan );

    if (($chan == $monitorchan_1) || ($chan == $monitorchan_2) || ($chan == $monitorchan_3)) {
      $lines = file ($dbpath."/".$chan.".db");
      $sets = explode(" ", $lines[0]);
      echo "current time: <b>".date("G:i:s",time($now))."</b><br />\n";
      echo "last refresh: <b>".date("G:i:s",$sets[0])."</b><br />\n";
      echo "refresh time: <b>".date("i:s",$sets[1])."</b>";

      echo "<hr />";

      echo "users in <b>#".$chan."</b><br /><br />\n";
      echo "<table align=\"center\" border=\"0\">\n";
      echo "  <tr bgcolor=\"#cccccc\"><td><b>user</b></td>";
      if ($showtimes == "1") {
        echo "<td><b>signon</b></td><td><b>idle</b></td>";
      }
      echo "</tr>\n";
      foreach ($lines as $line_num => $line) {
        if ($line_num != "0") {
          $row = explode(" ",$line);

          echo "  <tr><td>";
          if ($row[5]) { echo "<b>".$row[5]."</b>"; }
          echo $row[0]."!".$row[1]."@".$row[2]."</td>";
          if ($showtimes == "1") {
            echo "<td>".date("d F Y H:i:s",$row[3])."</td><td>".date("H:i:s",$row[4])."</td>";
          }
          echo "</tr>\n";
        }
      }
      echo "</table><br />\n";
    } else { echo "invalid channel"; }
  } else { echo "hi"; }
// insert custom footer here
?>
